/*
   Palette handling interface for the HERMES library
   Copyright (c) 1998 Christian Nentwich (brn@eleet.mcb.at)
   This source code is licensed under the GNU LGPL
  
   Please refer to the file COPYING.LIB contained in the distribution for
   licensing conditions
*/

#ifndef __HERMES_PALETTE__
#define __HERMES_PALETTE__


#include "Types.h"


HermesHandle Hermes_PaletteInstance();


void Hermes_PaletteReturn(HermesHandle handle);


void Hermes_PaletteSet(HermesHandle handle,int32 *palette);


int32 *Hermes_PaletteGet(HermesHandle handle);


void Hermes_PaletteInvalidateCache(HermesHandle handle);


#endif
